View Issue Details

IDProjectCategoryView StatusLast Update
0003389SOGoWeb Calendarpublic2015-12-01 11:43
Reporterethoms Assigned Toludovic  
PriorityhighSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version8 (Jessie)
Product Version2.3.3a 
Fixed in Version2.3.4 
Summary0003389: Free/Busy lookup not working for new event.
Description

When creating a new event, and then using Invite Atendees, the free/busy always shows pink (no free/busy information).

Steps To Reproduce

1.) Got to calendar.
2.) Add new event on primary (Personal) calendar.
3.) Click on 'Invite Attendees', the invitations dialog pops up.
4.) Click on add 'Add Attendee', a new row appears in the invitees table.
5.) Type the uid of another user, it autocompletes
6.) A few seconds later, the availability column turns pink (no free/busy information).

Additional Information

After saving the event, then invitee attendee, it works, the availability information is shown (grey for available, blue for busy).

After rolling back to SOGo 2.3.2 everything works as expected, nothing else changed. So it must have been introduced in 2.3.3 or 2.3.3a.

Nothing to go on in the logs, although I don't have all the logging options turned on.

TagsNo tags attached.

Activities

ludovic

ludovic

2015-11-25 16:18

administrator   ~0009140

Works for me.

Look at your sogo.log file when you add attendees to see if something wrong is going on. Also look at JS errors.

ethoms

ethoms

2015-11-26 01:41

reporter   ~0009143

I'm about to try and track it down by looking at the JS errors in Firefox.

Turned on all debugging and the following sogo.log entries differ between v2.3.2 and v2.3.3a. I will attach them. The user "euan" is the one logged in making a new event and "ben" is the invitee/attendee used in free/busy lookup.

Like I said 2.3.2 works, but 2.3.3a fails. All other factors are the same.

ethoms

ethoms

2015-11-26 01:42

reporter  

sogo-free-busy-lookup-failed.2.3.3a.log (4,498 bytes)   
Nov 26 13:57:46 sogod [17177]: |SOGo| starting method 'POST' on uri '/SOGo/so/euan/Contacts/allContactSearch?excludeGroups=1&search=ben'
Nov 26 13:57:46 sogod [17177]: |SOGo| traverse(acquire): euan => Contacts => allContactSearch
Nov 26 13:57:46 sogod [17177]: |SOGo|   do traverse name: 'euan'
Nov 26 13:57:46 sogod [17177]: |SOGo|   do traverse name: 'Contacts'
Nov 26 13:57:46 sogod [17177]: |SOGo|   do traverse name: 'allContactSearch'
Nov 26 13:57:46 sogod [17177]: |SOGo| set clientObject: <0x0E715690[SOGoContactFolders]: name=Contacts container=0x0E76B3F0/euan>
2015-11-26 13:57:46.875 sogod[17177:101573] PG0x0x80e578b10 SQL: SELECT c_path4 FROM sogo_folder_info WHERE c_path2 = 'euan' AND c_folder_type = 'Contact'
2015-11-26 13:57:46.876 sogod[17177:101573] PG0x0x80e7429d0 SQL: SELECT c_path4 FROM sogo_folder_info WHERE c_path2 = 'euan' AND c_folder_type = 'Contact'
Nov 26 13:57:46 sogod [17177]: <0x0x812b73520[NGLdapConnection]> Using ldap_init (deprecated) for LDAP host:port ldap.potensol.com:389
2015-11-26 13:57:46.884 sogod[17177:101573] -[NGLdapConnection _searchAtBaseDN:qualifier:attributes:scope:]: search at base '' filter '(objectClass=*)' for attrs 'subschemaSubentry'
2015-11-26 13:57:46.884 sogod[17177:101573] -[NGLdapConnection _searchAtBaseDN:qualifier:attributes:scope:]: search at base 'cn=Subschema' filter '(objectClass=*)' for attrs 'objectclasses'
2015-11-26 13:57:46.895 sogod[17177:101573] -[NGLdapConnection _searchAtBaseDN:qualifier:attributes:scope:]: search at base 'o=stuk on me,dc=potensol,dc=com' filter '(&(|(cn=*ben*)(sn=*ben*)(displayName=*ben*)(telephoneNumber=*ben*)(mail=*ben*)(mailAlternateAddress=*ben*)(mailEquivalentAddress=*ben*))(|(&(mail=*)(accountStatus=active))(objectClass=CalendarResource)))' for attrs '*'
Nov 26 13:57:46 sogod [17177]: <0x0x813d16480[NGLdapConnection]> Using ldap_init (deprecated) for LDAP host:port ldap.potensol.com:389
2015-11-26 13:57:46.902 sogod[17177:101573] -[NGLdapConnection _searchAtBaseDN:qualifier:attributes:scope:]: search at base '' filter '(objectClass=*)' for attrs 'subschemaSubentry'
2015-11-26 13:57:46.902 sogod[17177:101573] -[NGLdapConnection _searchAtBaseDN:qualifier:attributes:scope:]: search at base 'cn=Subschema' filter '(objectClass=*)' for attrs 'objectclasses'
2015-11-26 13:57:46.913 sogod[17177:101573] -[NGLdapConnection _searchAtBaseDN:qualifier:attributes:scope:]: search at base 'o=potensol software solutions,dc=potensol,dc=com' filter '(&(|(cn=*ben*)(sn=*ben*)(displayName=*ben*)(telephoneNumber=*ben*)(mail=*ben*)(mailAlternateAddress=*ben*)(mailEquivalentAddress=*ben*))(|(&(mail=*)(accountStatus=active))(objectClass=CalendarResource)))' for attrs '*'
2015-11-26 13:57:46.915 sogod[17177:101573] PG0x0x80e578b10 SQL: SELECT c_folder_id, c_path, c_location, c_quick_location, c_acl_location, c_folder_type FROM sogo_folder_info WHERE c_path1 = 'Users' AND c_path2 = 'euan' AND c_path3 = 'Contacts' AND c_path4 = 'personal'
2015-11-26 13:57:46.916 sogod[17177:101573] PG0x0x80e7429d0 SQL: SELECT b.c_name,a.c_cn,a.c_givenname,a.c_sn,a.c_screenname,a.c_o,a.c_mail,a.c_telephonenumber,a.c_categories,a.c_component FROM sogoeuan00363540f7b_quick a, sogoeuan00363540f7b b WHERE ((UPPER(c_sn) LIKE UPPER('%ben%')) OR (UPPER(c_givenname) LIKE UPPER('%ben%')) OR (UPPER(c_cn) LIKE UPPER('%ben%')) OR (UPPER(c_mail) LIKE UPPER('%ben%'))) AND a.c_name = b.c_name AND (c_deleted != 1 OR c_deleted IS NULL)
2015-11-26 13:57:46.918 sogod[17177:101573] PG0x0x80e578b10 SQL: SELECT c_folder_id, c_path, c_location, c_quick_location, c_acl_location, c_folder_type FROM sogo_folder_info WHERE c_path1 = 'Users' AND c_path2 = 'euan' AND c_path3 = 'Contacts' AND c_path4 = '8EC-523B9C80-17-6B8B4580'
2015-11-26 13:57:46.919 sogod[17177:101573] PG0x0x80e7429d0 SQL: SELECT b.c_name,a.c_cn,a.c_givenname,a.c_sn,a.c_screenname,a.c_o,a.c_mail,a.c_telephonenumber,a.c_categories,a.c_component FROM sogoeuan0012e704423_quick a, sogoeuan0012e704423 b WHERE ((UPPER(c_sn) LIKE UPPER('%ben%')) OR (UPPER(c_givenname) LIKE UPPER('%ben%')) OR (UPPER(c_cn) LIKE UPPER('%ben%')) OR (UPPER(c_mail) LIKE UPPER('%ben%'))) AND a.c_name = b.c_name AND (c_deleted != 1 OR c_deleted IS NULL)
Nov 26 13:57:46 sogod [17177]: |SOGo| request took 0.075481 seconds to execute
Nov 26 13:57:46 sogod [17177]: <0x0x80e741210[WOResponse]> Zipping of response disabled
Nov 26 13:57:46 sogod [17177]: 192.168.10.5 "POST /SOGo/so/euan/Contacts/allContactSearch?excludeGroups=1&search=ben HTTP/1.1" 200 205/0 0.077 - - -
ethoms

ethoms

2015-11-26 01:42

reporter  

sogo-free-busy-lookup-suceeded.2.3.2.log (23,689 bytes)   
Nov 26 14:11:07 sogod [33269]: |SOGo| starting method 'POST' on uri '/SOGo/so/euan/Contacts/allContactSearch?excludeGroups=1&search=ben'
Nov 26 14:11:07 sogod [33269]: |SOGo| traverse(acquire): euan => Contacts => allContactSearch
Nov 26 14:11:07 sogod [33269]: |SOGo|   do traverse name: 'euan'
Nov 26 14:11:07 sogod [33269]: |SOGo|   do traverse name: 'Contacts'
Nov 26 14:11:07 sogod [33269]: |SOGo|   do traverse name: 'allContactSearch'
Nov 26 14:11:07 sogod [33269]: |SOGo| set clientObject: <0x0E714490[SOGoContactFolders]: name=Contacts container=0x0E76C050/euan>
2015-11-26 14:11:07.030 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_path4 FROM sogo_folder_info WHERE c_path2 = 'euan' AND c_folder_type = 'Contact'
2015-11-26 14:11:07.031 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT c_path4 FROM sogo_folder_info WHERE c_path2 = 'euan' AND c_folder_type = 'Contact'
Nov 26 14:11:07 sogod [33269]: <0x0x8129de8e0[NGLdapConnection]> Using ldap_init (deprecated) for LDAP host:port ldap.potensol.com:389
2015-11-26 14:11:07.039 sogod[33269:100740] -[NGLdapConnection _searchAtBaseDN:qualifier:attributes:scope:]: search at base 'o=stuk on me,dc=potensol,dc=com' filter '(&(|(cn=*ben*)(sn=*ben*)(displayName=*ben*)(telephoneNumber=*ben*)(mail=*ben*)(mailAlternateAddress=*ben*)(mailEquivalentAddress=*ben*))(|(&(mail=*)(accountStatus=active))(objectClass=CalendarResource)))' for attrs '*'
Nov 26 14:11:07 sogod [33269]: <0x0x813d5b2f0[NGLdapConnection]> Using ldap_init (deprecated) for LDAP host:port ldap.potensol.com:389
2015-11-26 14:11:07.045 sogod[33269:100740] -[NGLdapConnection _searchAtBaseDN:qualifier:attributes:scope:]: search at base 'o=potensol software solutions,dc=potensol,dc=com' filter '(&(|(cn=*ben*)(sn=*ben*)(displayName=*ben*)(telephoneNumber=*ben*)(mail=*ben*)(mailAlternateAddress=*ben*)(mailEquivalentAddress=*ben*))(|(&(mail=*)(accountStatus=active))(objectClass=CalendarResource)))' for attrs '*'
2015-11-26 14:11:07.046 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_folder_id, c_path, c_location, c_quick_location, c_acl_location, c_folder_type FROM sogo_folder_info WHERE c_path1 = 'Users' AND c_path2 = 'euan' AND c_path3 = 'Contacts' AND c_path4 = 'personal'
2015-11-26 14:11:07.048 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT b.c_name,a.c_cn,a.c_givenname,a.c_sn,a.c_screenname,a.c_o,a.c_mail,a.c_telephonenumber,a.c_categories,a.c_component FROM sogoeuan00363540f7b_quick a, sogoeuan00363540f7b b WHERE ((UPPER(c_sn) LIKE UPPER('%ben%')) OR (UPPER(c_givenname) LIKE UPPER('%ben%')) OR (UPPER(c_cn) LIKE UPPER('%ben%')) OR (UPPER(c_mail) LIKE UPPER('%ben%'))) AND a.c_name = b.c_name AND (c_deleted != 1 OR c_deleted IS NULL)
2015-11-26 14:11:07.049 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_folder_id, c_path, c_location, c_quick_location, c_acl_location, c_folder_type FROM sogo_folder_info WHERE c_path1 = 'Users' AND c_path2 = 'euan' AND c_path3 = 'Contacts' AND c_path4 = '8EC-523B9C80-17-6B8B4580'
2015-11-26 14:11:07.050 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT b.c_name,a.c_cn,a.c_givenname,a.c_sn,a.c_screenname,a.c_o,a.c_mail,a.c_telephonenumber,a.c_categories,a.c_component FROM sogoeuan0012e704423_quick a, sogoeuan0012e704423 b WHERE ((UPPER(c_sn) LIKE UPPER('%ben%')) OR (UPPER(c_givenname) LIKE UPPER('%ben%')) OR (UPPER(c_cn) LIKE UPPER('%ben%')) OR (UPPER(c_mail) LIKE UPPER('%ben%'))) AND a.c_name = b.c_name AND (c_deleted != 1 OR c_deleted IS NULL)
Nov 26 14:11:07 sogod [33269]: |SOGo| request took 0.027486 seconds to execute
Nov 26 14:11:07 sogod [33269]: <0x0x80e740210[WOResponse]> Zipping of response disabled
Nov 26 14:11:07 sogod [33269]: 192.168.10.5 "POST /SOGo/so/euan/Contacts/allContactSearch?excludeGroups=1&search=ben HTTP/1.1" 200 221/0 0.029 - - -
Nov 26 14:11:10 sogod [33269]: |SOGo| starting method 'POST' on uri '/SOGo/so/ben/freebusy.ifb/ajaxRead?sday=20151121&eday=20151205'
Nov 26 14:11:10 sogod [33269]: |SOGo| traverse(acquire): ben => freebusy.ifb => ajaxRead
Nov 26 14:11:10 sogod [33269]: |SOGo|   do traverse name: 'ben'
Nov 26 14:11:10 sogod [33269]: |SOGo|   do traverse name: 'freebusy.ifb'
Nov 26 14:11:10 sogod [33269]: |SOGo|   do traverse name: 'ajaxRead'
Nov 26 14:11:10 sogod [33269]: |SOGo| set clientObject: <0x12896750[SOGoFreeBusyObject]: name=freebusy.ifb container=0x0E76C050/ben>
2015-11-26 14:11:10.441 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_path4 FROM sogo_folder_info WHERE c_path2 = 'ben' AND c_folder_type = 'Appointment'
2015-11-26 14:11:10.443 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT c_path4 FROM sogo_folder_info WHERE c_path2 = 'ben' AND c_folder_type = 'Appointment'
2015-11-26 14:11:10.444 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_folder_id, c_path, c_location, c_quick_location, c_acl_location, c_folder_type FROM sogo_folder_info WHERE c_path1 = 'Users' AND c_path2 = 'ben' AND c_path3 = 'Calendar' AND c_path4 = 'personal'
2015-11-26 14:11:10.446 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT b.c_content,a.c_partmails,a.c_partstates,a.c_isopaque,a.c_status,a.c_cycleinfo,a.c_orgmail,b.c_name,a.c_uid,a.c_startdate,a.c_enddate,a.c_isallday FROM sogoben002192d9f58_quick a, sogoben002192d9f58 b WHERE ((c_component = 'vevent') AND ((c_startdate IS NULL) OR (c_startdate <= 1449331140)) AND ((c_enddate IS NULL) OR (c_enddate >= 1448035200)) AND (c_iscycle = 0)) AND a.c_name = b.c_name AND (c_deleted != 1 OR c_deleted IS NULL)
2015-11-26 14:11:10.447 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT b.c_content,a.c_partmails,a.c_partstates,a.c_isopaque,a.c_status,a.c_cycleinfo,a.c_orgmail,b.c_name,a.c_uid,a.c_startdate,a.c_enddate,a.c_isallday FROM sogoben002192d9f58_quick a, sogoben002192d9f58 b WHERE ((c_component = 'vevent') AND ((c_startdate IS NULL) OR (c_startdate <= 1449331140)) AND ((c_cycleenddate IS NULL) OR (c_cycleenddate >= 1448035200)) AND (c_iscycle = 1)) AND a.c_name = b.c_name AND (c_deleted != 1 OR c_deleted IS NULL)
Nov 26 14:11:10 sogod [33269]: |SOGo| request took 0.017432 seconds to execute
Nov 26 14:11:10 sogod [33269]: <0x0x80e740210[WOResponse]> Zipping of response disabled
Nov 26 14:11:10 sogod [33269]: 192.168.10.5 "POST /SOGo/so/ben/freebusy.ifb/ajaxRead?sday=20151121&eday=20151205 HTTP/1.1" 200 2879/0 0.019 - - -
Nov 26 14:11:13 sogod [33269]: |SOGo| starting method 'PROPFIND' on uri '/SOGo/dav/euan/Calendar/personal/'
Nov 26 14:11:13 sogod [33269]: |SOGo| traverse: euan => Calendar => personal
Nov 26 14:11:13 sogod [33269]: |SOGo|   do traverse name: 'euan'
Nov 26 14:11:13 sogod [33269]: |SOGo|   do traverse name: 'Calendar'
Nov 26 14:11:13 sogod [33269]: |SOGo|   do traverse name: 'personal'
2015-11-26 14:11:13.434 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT c_path4 FROM sogo_folder_info WHERE c_path2 = 'euan' AND c_folder_type = 'Appointment'
2015-11-26 14:11:13.435 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_path4 FROM sogo_folder_info WHERE c_path2 = 'euan' AND c_folder_type = 'Appointment'
2015-11-26 14:11:13.437 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT c_foldername FROM sogo_folder_info WHERE c_path = '/Users/euan/Calendar/4379-55D5BD00-5-6B8B4580'
2015-11-26 14:11:13.438 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_foldername FROM sogo_folder_info WHERE c_path = '/Users/euan/Calendar/EAB-55F7E700-3-6B8B4580'
Nov 26 14:11:13 sogod [33269]: |SOGo| set clientObject: <0x13CAF3D0[SOGoAppointmentFolder]: name=personal container=0x0E7992B0/Calendar ocs=/Users/euan/Calendar/personal>
Nov 26 14:11:13 sogod [33269]: [obj-dav-dispatch]   constructed root-url: 
2015-11-26 14:11:13.443 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT c_foldername FROM sogo_folder_info WHERE c_path = '/Users/euan/Calendar/personal'
2015-11-26 14:11:13.445 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_folder_id, c_path, c_location, c_quick_location, c_acl_location, c_folder_type FROM sogo_folder_info WHERE c_path1 = 'Users' AND c_path2 = 'euan' AND c_path3 = 'Calendar' AND c_path4 = 'personal'
2015-11-26 14:11:13.446 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT c_lastmodified FROM sogoeuan0024c89af4c ORDER BY c_lastmodified DESC
Nov 26 14:11:13 sogod [33269]: |SOGo|   constructed root-url: /SOGo/
Nov 26 14:11:13 sogod [33269]: |SOGo|   setting root-url in context: /SOGo/dav/
Nov 26 14:11:13 sogod [33269]: |SOGo| ROOT baseURL(no container, name=(null)):
  own: /SOGo/dav/
Nov 26 14:11:13 sogod [33269]: <0x0E7473B0[SOGoUserFolder]:euan> baseURL: name=euan (container=SOGo)
  container: /SOGo -- http://webmail.potensol.com/SOGo/dav/euan/Calendar/personal/
  own: /SOGo/dav/euan
Nov 26 14:11:13 sogod [33269]: |SOGo|   using root-url from context: /SOGo/dav/
Nov 26 14:11:13 sogod [33269]: |SOGo| ROOT baseURL(no container, name=(null)):
  own: /SOGo/dav/
Nov 26 14:11:13 sogod [33269]: <0x0E7473B0[SOGoUserFolder]:euan> baseURL: name=euan (container=SOGo)
  container: /SOGo -- http://webmail.potensol.com/SOGo/dav/euan/Calendar/personal/
  own: /SOGo/dav/euan
Nov 26 14:11:13 sogod [33269]: <0x0E7992B0[SOGoAppointmentFolders]:Calendar> baseURL: name=Calendar (container=SOGoUserFolder)
  container: /SOGo/dav/euan/
  own: /SOGo/dav/euan/Calendar
Nov 26 14:11:13 sogod [33269]: |SOGo|   using root-url from context: /SOGo/dav/
Nov 26 14:11:13 sogod [33269]: |SOGo| ROOT baseURL(no container, name=(null)):
  own: /SOGo/dav/
Nov 26 14:11:13 sogod [33269]: <0x0E7473B0[SOGoUserFolder]:euan> baseURL: name=euan (container=SOGo)
  container: /SOGo -- http://webmail.potensol.com/SOGo/dav/euan/Calendar/personal/
  own: /SOGo/dav/euan
Nov 26 14:11:13 sogod [33269]: |SOGo|   using root-url from context: /SOGo/dav/
Nov 26 14:11:13 sogod [33269]: |SOGo| ROOT baseURL(no container, name=(null)):
  own: /SOGo/dav/
Nov 26 14:11:13 sogod [33269]: <0x0E7473B0[SOGoUserFolder]:euan> baseURL: name=euan (container=SOGo)
  container: /SOGo -- http://webmail.potensol.com/SOGo/dav/euan/Calendar/personal/
  own: /SOGo/dav/euan
Nov 26 14:11:13 sogod [33269]: <0x0E7992B0[SOGoAppointmentFolders]:Calendar> baseURL: name=Calendar (container=SOGoUserFolder)
  container: /SOGo/dav/euan/
  own: /SOGo/dav/euan/Calendar
Nov 26 14:11:13 sogod [33269]: <0x13CAF3D0[SOGoAppointmentFolder]:personal> baseURL: name=personal (container=SOGoAppointmentFolders)
  container: /SOGo/dav/euan/Calendar/
  own: /SOGo/dav/euan/Calendar/personal
Nov 26 14:11:13 sogod [33269]: |SOGo| request took 0.019525 seconds to execute
Nov 26 14:11:13 sogod [33269]: <0x0x80e740210[WOResponse]> Zipping of response disabled
Nov 26 14:11:13 sogod [33269]: 192.168.10.5 "PROPFIND /SOGo/dav/euan/Calendar/personal/ HTTP/1.1" 207 844/299 0.021 - - -
Nov 26 14:11:13 sogod [33269]: |SOGo| starting method 'PROPFIND' on uri '/SOGo/dav/euan/Calendar/EAB-55F7E700-3-6B8B4580/'
Nov 26 14:11:13 sogod [33269]: |SOGo| traverse: euan => Calendar => EAB-55F7E700-3-6B8B4580
Nov 26 14:11:13 sogod [33269]: |SOGo|   do traverse name: 'euan'
Nov 26 14:11:13 sogod [33269]: |SOGo|   do traverse name: 'Calendar'
Nov 26 14:11:13 sogod [33269]: |SOGo|   do traverse name: 'EAB-55F7E700-3-6B8B4580'
2015-11-26 14:11:13.875 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_path4 FROM sogo_folder_info WHERE c_path2 = 'euan' AND c_folder_type = 'Appointment'
2015-11-26 14:11:13.877 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT c_path4 FROM sogo_folder_info WHERE c_path2 = 'euan' AND c_folder_type = 'Appointment'
2015-11-26 14:11:13.878 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_foldername FROM sogo_folder_info WHERE c_path = '/Users/euan/Calendar/4379-55D5BD00-5-6B8B4580'
2015-11-26 14:11:13.879 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT c_foldername FROM sogo_folder_info WHERE c_path = '/Users/euan/Calendar/EAB-55F7E700-3-6B8B4580'
Nov 26 14:11:13 sogod [33269]: |SOGo| set clientObject: <0x13CAF6D0[SOGoAppointmentFolder]: name=EAB-55F7E700-3-6B8B4580 container=0x0E7993F0/Calendar ocs=/Users/euan/Calendar/EAB-55F7E700-3-6B8B4580>
Nov 26 14:11:13 sogod [33269]: [obj-dav-dispatch]   constructed root-url: 
2015-11-26 14:11:13.882 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_folder_id, c_path, c_location, c_quick_location, c_acl_location, c_folder_type FROM sogo_folder_info WHERE c_path1 = 'Users' AND c_path2 = 'euan' AND c_path3 = 'Calendar' AND c_path4 = 'EAB-55F7E700-3-6B8B4580'
2015-11-26 14:11:13.883 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT c_lastmodified FROM sogoeuan00166aff1c8 ORDER BY c_lastmodified DESC
Nov 26 14:11:13 sogod [33269]: |SOGo|   constructed root-url: /SOGo/
Nov 26 14:11:13 sogod [33269]: |SOGo|   setting root-url in context: /SOGo/dav/
Nov 26 14:11:13 sogod [33269]: |SOGo| ROOT baseURL(no container, name=(null)):
  own: /SOGo/dav/
Nov 26 14:11:13 sogod [33269]: <0x0E7474D0[SOGoUserFolder]:euan> baseURL: name=euan (container=SOGo)
  container: /SOGo -- http://webmail.potensol.com/SOGo/dav/euan/Calendar/EAB-55F7E700-3-6B8B4580/
  own: /SOGo/dav/euan
Nov 26 14:11:13 sogod [33269]: |SOGo|   using root-url from context: /SOGo/dav/
Nov 26 14:11:13 sogod [33269]: |SOGo| ROOT baseURL(no container, name=(null)):
  own: /SOGo/dav/
Nov 26 14:11:13 sogod [33269]: <0x0E7474D0[SOGoUserFolder]:euan> baseURL: name=euan (container=SOGo)
  container: /SOGo -- http://webmail.potensol.com/SOGo/dav/euan/Calendar/EAB-55F7E700-3-6B8B4580/
  own: /SOGo/dav/euan
Nov 26 14:11:13 sogod [33269]: <0x0E7993F0[SOGoAppointmentFolders]:Calendar> baseURL: name=Calendar (container=SOGoUserFolder)
  container: /SOGo/dav/euan/
  own: /SOGo/dav/euan/Calendar
Nov 26 14:11:13 sogod [33269]: |SOGo|   using root-url from context: /SOGo/dav/
Nov 26 14:11:13 sogod [33269]: |SOGo| ROOT baseURL(no container, name=(null)):
  own: /SOGo/dav/
Nov 26 14:11:13 sogod [33269]: <0x0E7474D0[SOGoUserFolder]:euan> baseURL: name=euan (container=SOGo)
  container: /SOGo -- http://webmail.potensol.com/SOGo/dav/euan/Calendar/EAB-55F7E700-3-6B8B4580/
  own: /SOGo/dav/euan
Nov 26 14:11:13 sogod [33269]: |SOGo|   using root-url from context: /SOGo/dav/
Nov 26 14:11:13 sogod [33269]: |SOGo| ROOT baseURL(no container, name=(null)):
  own: /SOGo/dav/
Nov 26 14:11:13 sogod [33269]: <0x0E7474D0[SOGoUserFolder]:euan> baseURL: name=euan (container=SOGo)
  container: /SOGo -- http://webmail.potensol.com/SOGo/dav/euan/Calendar/EAB-55F7E700-3-6B8B4580/
  own: /SOGo/dav/euan
Nov 26 14:11:13 sogod [33269]: <0x0E7993F0[SOGoAppointmentFolders]:Calendar> baseURL: name=Calendar (container=SOGoUserFolder)
  container: /SOGo/dav/euan/
  own: /SOGo/dav/euan/Calendar
Nov 26 14:11:13 sogod [33269]: <0x13CAF6D0[SOGoAppointmentFolder]:EAB-55F7E700-3-6B8B4580> baseURL: name=EAB-55F7E700-3-6B8B4580 (container=SOGoAppointmentFolders)
  container: /SOGo/dav/euan/Calendar/
  own: /SOGo/dav/euan/Calendar/EAB-55F7E700-3-6B8B4580
Nov 26 14:11:13 sogod [33269]: |SOGo| request took 0.014200 seconds to execute
Nov 26 14:11:13 sogod [33269]: <0x0x80e740210[WOResponse]> Zipping of response disabled
Nov 26 14:11:13 sogod [33269]: 192.168.10.5 "PROPFIND /SOGo/dav/euan/Calendar/EAB-55F7E700-3-6B8B4580/ HTTP/1.1" 207 802/299 0.016 - - -
Nov 26 14:11:14 sogod [33269]: |SOGo| starting method 'PROPFIND' on uri '/SOGo/dav/euan/Calendar/personal/'
Nov 26 14:11:14 sogod [33269]: |SOGo| traverse: euan => Calendar => personal
Nov 26 14:11:14 sogod [33269]: |SOGo|   do traverse name: 'euan'
Nov 26 14:11:14 sogod [33269]: |SOGo|   do traverse name: 'Calendar'
Nov 26 14:11:14 sogod [33269]: |SOGo|   do traverse name: 'personal'
2015-11-26 14:11:14.104 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_path4 FROM sogo_folder_info WHERE c_path2 = 'euan' AND c_folder_type = 'Appointment'
2015-11-26 14:11:14.105 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT c_path4 FROM sogo_folder_info WHERE c_path2 = 'euan' AND c_folder_type = 'Appointment'
2015-11-26 14:11:14.107 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_foldername FROM sogo_folder_info WHERE c_path = '/Users/euan/Calendar/4379-55D5BD00-5-6B8B4580'
2015-11-26 14:11:14.108 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT c_foldername FROM sogo_folder_info WHERE c_path = '/Users/euan/Calendar/EAB-55F7E700-3-6B8B4580'
Nov 26 14:11:14 sogod [33269]: |SOGo| set clientObject: <0x13CAF490[SOGoAppointmentFolder]: name=personal container=0x0E7993F0/Calendar ocs=/Users/euan/Calendar/personal>
Nov 26 14:11:14 sogod [33269]: [obj-dav-dispatch]   constructed root-url: 
2015-11-26 14:11:14.111 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_foldername FROM sogo_folder_info WHERE c_path = '/Users/euan/Calendar/personal'
2015-11-26 14:11:14.113 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT c_folder_id, c_path, c_location, c_quick_location, c_acl_location, c_folder_type FROM sogo_folder_info WHERE c_path1 = 'Users' AND c_path2 = 'euan' AND c_path3 = 'Calendar' AND c_path4 = 'personal'
2015-11-26 14:11:14.113 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_lastmodified FROM sogoeuan0024c89af4c ORDER BY c_lastmodified DESC
Nov 26 14:11:14 sogod [33269]: |SOGo|   constructed root-url: /SOGo/
Nov 26 14:11:14 sogod [33269]: |SOGo|   setting root-url in context: /SOGo/dav/
Nov 26 14:11:14 sogod [33269]: |SOGo| ROOT baseURL(no container, name=(null)):
  own: /SOGo/dav/
Nov 26 14:11:14 sogod [33269]: <0x0E7473B0[SOGoUserFolder]:euan> baseURL: name=euan (container=SOGo)
  container: /SOGo -- http://webmail.potensol.com/SOGo/dav/euan/Calendar/personal/
  own: /SOGo/dav/euan
Nov 26 14:11:14 sogod [33269]: |SOGo|   using root-url from context: /SOGo/dav/
Nov 26 14:11:14 sogod [33269]: |SOGo| ROOT baseURL(no container, name=(null)):
  own: /SOGo/dav/
Nov 26 14:11:14 sogod [33269]: <0x0E7473B0[SOGoUserFolder]:euan> baseURL: name=euan (container=SOGo)
  container: /SOGo -- http://webmail.potensol.com/SOGo/dav/euan/Calendar/personal/
  own: /SOGo/dav/euan
Nov 26 14:11:14 sogod [33269]: <0x0E7993F0[SOGoAppointmentFolders]:Calendar> baseURL: name=Calendar (container=SOGoUserFolder)
  container: /SOGo/dav/euan/
  own: /SOGo/dav/euan/Calendar
Nov 26 14:11:14 sogod [33269]: |SOGo|   using root-url from context: /SOGo/dav/
Nov 26 14:11:14 sogod [33269]: |SOGo| ROOT baseURL(no container, name=(null)):
  own: /SOGo/dav/
Nov 26 14:11:14 sogod [33269]: <0x0E7473B0[SOGoUserFolder]:euan> baseURL: name=euan (container=SOGo)
  container: /SOGo -- http://webmail.potensol.com/SOGo/dav/euan/Calendar/personal/
  own: /SOGo/dav/euan
Nov 26 14:11:14 sogod [33269]: |SOGo|   using root-url from context: /SOGo/dav/
Nov 26 14:11:14 sogod [33269]: |SOGo| ROOT baseURL(no container, name=(null)):
  own: /SOGo/dav/
Nov 26 14:11:14 sogod [33269]: <0x0E7473B0[SOGoUserFolder]:euan> baseURL: name=euan (container=SOGo)
  container: /SOGo -- http://webmail.potensol.com/SOGo/dav/euan/Calendar/personal/
  own: /SOGo/dav/euan
Nov 26 14:11:14 sogod [33269]: <0x0E7993F0[SOGoAppointmentFolders]:Calendar> baseURL: name=Calendar (container=SOGoUserFolder)
  container: /SOGo/dav/euan/
  own: /SOGo/dav/euan/Calendar
Nov 26 14:11:14 sogod [33269]: <0x13CAF490[SOGoAppointmentFolder]:personal> baseURL: name=personal (container=SOGoAppointmentFolders)
  container: /SOGo/dav/euan/Calendar/
  own: /SOGo/dav/euan/Calendar/personal
Nov 26 14:11:14 sogod [33269]: |SOGo| request took 0.016108 seconds to execute
Nov 26 14:11:14 sogod [33269]: <0x0x80e740210[WOResponse]> Zipping of response disabled
Nov 26 14:11:14 sogod [33269]: 192.168.10.5 "PROPFIND /SOGo/dav/euan/Calendar/personal/ HTTP/1.1" 207 844/299 0.017 - - -
Nov 26 14:11:14 sogod [33269]: |SOGo| starting method 'PROPFIND' on uri '/SOGo/dav/euan/Calendar/4379-55D5BD00-5-6B8B4580/'
Nov 26 14:11:14 sogod [33269]: |SOGo| traverse: euan => Calendar => 4379-55D5BD00-5-6B8B4580
Nov 26 14:11:14 sogod [33269]: |SOGo|   do traverse name: 'euan'
Nov 26 14:11:14 sogod [33269]: |SOGo|   do traverse name: 'Calendar'
Nov 26 14:11:14 sogod [33269]: |SOGo|   do traverse name: '4379-55D5BD00-5-6B8B4580'
2015-11-26 14:11:14.491 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT c_path4 FROM sogo_folder_info WHERE c_path2 = 'euan' AND c_folder_type = 'Appointment'
2015-11-26 14:11:14.493 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_path4 FROM sogo_folder_info WHERE c_path2 = 'euan' AND c_folder_type = 'Appointment'
2015-11-26 14:11:14.494 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT c_foldername FROM sogo_folder_info WHERE c_path = '/Users/euan/Calendar/4379-55D5BD00-5-6B8B4580'
2015-11-26 14:11:14.495 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_foldername FROM sogo_folder_info WHERE c_path = '/Users/euan/Calendar/EAB-55F7E700-3-6B8B4580'
Nov 26 14:11:14 sogod [33269]: |SOGo| set clientObject: <0x13CAF550[SOGoAppointmentFolder]: name=4379-55D5BD00-5-6B8B4580 container=0x0E7993F0/Calendar ocs=/Users/euan/Calendar/4379-55D5BD00-5-6B8B4580>
Nov 26 14:11:14 sogod [33269]: [obj-dav-dispatch]   constructed root-url: 
2015-11-26 14:11:14.498 sogod[33269:100740] PG0x0x80e578b10 SQL: SELECT c_folder_id, c_path, c_location, c_quick_location, c_acl_location, c_folder_type FROM sogo_folder_info WHERE c_path1 = 'Users' AND c_path2 = 'euan' AND c_path3 = 'Calendar' AND c_path4 = '4379-55D5BD00-5-6B8B4580'
2015-11-26 14:11:14.499 sogod[33269:100740] PG0x0x80f16a670 SQL: SELECT c_lastmodified FROM sogoeuan0017b982b18 ORDER BY c_lastmodified DESC
Nov 26 14:11:14 sogod [33269]: |SOGo|   constructed root-url: /SOGo/
Nov 26 14:11:14 sogod [33269]: |SOGo|   setting root-url in context: /SOGo/dav/
Nov 26 14:11:14 sogod [33269]: |SOGo| ROOT baseURL(no container, name=(null)):
  own: /SOGo/dav/
Nov 26 14:11:14 sogod [33269]: <0x0E7474D0[SOGoUserFolder]:euan> baseURL: name=euan (container=SOGo)
  container: /SOGo -- http://webmail.potensol.com/SOGo/dav/euan/Calendar/4379-55D5BD00-5-6B8B4580/
  own: /SOGo/dav/euan
Nov 26 14:11:14 sogod [33269]: |SOGo|   using root-url from context: /SOGo/dav/
Nov 26 14:11:14 sogod [33269]: |SOGo| ROOT baseURL(no container, name=(null)):
  own: /SOGo/dav/
Nov 26 14:11:14 sogod [33269]: <0x0E7474D0[SOGoUserFolder]:euan> baseURL: name=euan (container=SOGo)
  container: /SOGo -- http://webmail.potensol.com/SOGo/dav/euan/Calendar/4379-55D5BD00-5-6B8B4580/
  own: /SOGo/dav/euan
Nov 26 14:11:14 sogod [33269]: <0x0E7993F0[SOGoAppointmentFolders]:Calendar> baseURL: name=Calendar (container=SOGoUserFolder)
  container: /SOGo/dav/euan/
  own: /SOGo/dav/euan/Calendar
Nov 26 14:11:14 sogod [33269]: |SOGo|   using root-url from context: /SOGo/dav/
Nov 26 14:11:14 sogod [33269]: |SOGo| ROOT baseURL(no container, name=(null)):
  own: /SOGo/dav/
Nov 26 14:11:14 sogod [33269]: <0x0E7474D0[SOGoUserFolder]:euan> baseURL: name=euan (container=SOGo)
  container: /SOGo -- http://webmail.potensol.com/SOGo/dav/euan/Calendar/4379-55D5BD00-5-6B8B4580/
  own: /SOGo/dav/euan
Nov 26 14:11:14 sogod [33269]: |SOGo|   using root-url from context: /SOGo/dav/
Nov 26 14:11:14 sogod [33269]: |SOGo| ROOT baseURL(no container, name=(null)):
  own: /SOGo/dav/
Nov 26 14:11:14 sogod [33269]: <0x0E7474D0[SOGoUserFolder]:euan> baseURL: name=euan (container=SOGo)
  container: /SOGo -- http://webmail.potensol.com/SOGo/dav/euan/Calendar/4379-55D5BD00-5-6B8B4580/
  own: /SOGo/dav/euan
Nov 26 14:11:14 sogod [33269]: <0x0E7993F0[SOGoAppointmentFolders]:Calendar> baseURL: name=Calendar (container=SOGoUserFolder)
  container: /SOGo/dav/euan/
  own: /SOGo/dav/euan/Calendar
Nov 26 14:11:14 sogod [33269]: <0x13CAF550[SOGoAppointmentFolder]:4379-55D5BD00-5-6B8B4580> baseURL: name=4379-55D5BD00-5-6B8B4580 (container=SOGoAppointmentFolders)
  container: /SOGo/dav/euan/Calendar/
  own: /SOGo/dav/euan/Calendar/4379-55D5BD00-5-6B8B4580
Nov 26 14:11:14 sogod [33269]: |SOGo| request took 0.015875 seconds to execute
Nov 26 14:11:14 sogod [33269]: <0x0x80e740210[WOResponse]> Zipping of response disabled
Nov 26 14:11:14 sogod [33269]: 192.168.10.5 "PROPFIND /SOGo/dav/euan/Calendar/4379-55D5BD00-5-6B8B4580/ HTTP/1.1" 207 800/299 0.017 - - -
ethoms

ethoms

2015-11-26 01:57

reporter   ~0009144

I started firefox with JS logging by typing "firefox --jsconsole" from the terminal. Then I cleared the log just before adding attendee. The free/busy lookup row turns red, but nothing at all in the JS logging console.

ethoms

ethoms

2015-11-26 02:08

reporter  

ethoms

ethoms

2015-11-26 02:18

reporter   ~0009145

I've attached the nginx log that corresponds to the lookup failure on 2.3.3a. It's the file called "sogo-free-busy-lookup-failed.2.3.3a.nginx.log".

So the sogo.log ends up with the following after adding an attendee:
"POST /SOGo/so/euan/Contacts/allContactSearch?excludeGroups=1&search=ben HTTP/1.1" 200 205/0 0.029 - - -

And the last entry in nginx log is:
"POST /SOGo/so/euan/Contacts/allContactSearch?excludeGroups=1&search=ben HTTP/1.0" 200 205 "https://webmail.potensol.com/SOGo/so/euan/Calendar/editAttendees&quot; "Mozilla/5.0 (X11; Linux x86_64; rv:31.0) Gecko/20100101 Firefox/31.0"

It doesn't get any further than that. Seems like a POST is not being executed properly.

ethoms

ethoms

2015-11-26 02:24

reporter   ~0009146

Worth noting that I run sogo behind 2 nginx instances. The first is on the same host (LAN IP), the second is on another host on a WAN IP. So there is a public facing nginx proxying to another nginx which then proxies to the sogo running on port 20000.

However, it works on 2.3.2 without any nginx settings changed.

ethoms

ethoms

2015-11-26 02:33

reporter   ~0009147

I repeated the test from the LAN, ruling out the WAN nginx proxy. Same behaviour, free-busy lookup fails.

ethoms

ethoms

2015-11-26 02:47

reporter   ~0009149

Perhaps my nginx settings are not compatable with SOGo 2.3.3/a? I will attach my nginx.conf.

ethoms

ethoms

2015-11-26 02:52

reporter  

nginx.conf (3,239 bytes)
ethoms

ethoms

2015-11-26 05:43

reporter   ~0009151

I've almost tracked it down. In the JS file UIxAttendeesEditor.js there is a function called "performSearchCallback".

It gets some data via:
var data = http.responseText.evalJSON(true);

followed by:
var contact = data.contacts[0];

at this point everything seems fine.

then it fails at:
if (contact["c_uid"])

After logging via:
log("contact: " + contact);
log("contact[c_uid]: " + contact["c_uid"]);

I get the console output:
contact: [object Object]
contact[c_uid]: undefined

So, now I need to find out why contact[c_uid] is undefined.

ludovic

ludovic

2015-11-26 07:33

administrator   ~0009154

SOGo will only display freebusy information for SOGo users, so entries that have a c_uid defined.

If it doesn't work for you, perhaps your SOGo configuration is broken, most likely the UIDFieldName is incorrect for your SOGoUserSources.

ethoms

ethoms

2015-11-26 20:18

reporter   ~0009164

Well, I ddi suspect maybe an update broke compatability with my sogo.conf. But it worked fine in 2.3.2 and earlier. I have played around a lot with different configs in a multi-domain environment and my current config get me exactly what I want out of SOGo, until now.

I've attached the relevant part of my sogo.conf.

ethoms

ethoms

2015-11-26 20:18

reporter  

ethoms

ethoms

2015-11-26 20:28

reporter   ~0009165

I don't think it's anythong to do with UIDFieldName or such config variables. I think ti something at the javascript / AJAX level. If you look at my attached logs, 2.3.3a stop at "POST /SOGo/so/euan/Contacts/allContactSearch?excludeGroups=1&search=ben" whilst 2.3.2 moves on to "|SOGo| starting method 'POST' on uri '/SOGo/so/ben/freebusy.ifb/ajaxRead?sday=20151121&eday=20151205'".

So I think there was a problem with POST on uri freebusy.ifb. The uid 'ben' get's translated to the full contact (autocomplete is working). It's onlyt the free/busy that doesn't get processed.

Note if I manually put the following in the browser, it returns a bunch of zeros and commas (0,0,0,0,...), which seems to be the free/busy lookup:

https://webmail.potensol.com/SOGo/so/ben/freebusy.ifb/ajaxRead?sday=20151121&amp;eday=20151205

So, it's just that that URI never gets POST properly. If I understood how AJAX worked I'd be able to track it down easier.

ethoms

ethoms

2015-11-27 03:35

reporter   ~0009166

I found the commit that caused my issue. It's commit ef7de7c10d6d0b722850347e88fb3d620588a66b (v2 branch).

Link to commit on github:
https://github.com/inverse-inc/sogo/commit/ef7de7c10d6d0b722850347e88fb3d620588a66b

So now I will see if I can patch it without voiding that fix.

ethoms

ethoms

2015-11-27 07:30

reporter   ~0009167

So basically what that patch introduced was to make sure that the user in question is from a SOGoUserSource that has "canAuthenticate = YES". Well, my SOGoUserSource does have "canAuthenticate = YES". But my SOGoUserSource also has "isAddressBook = NO", and this new logic makes the lookup fail.

Basically what that commit means is that every entity that requires a free/busy lookup must be in a SOGoUserSource that has "canAuthenticate = YES" AND "isAddressBook = YES". To me this is too limiting.

I split up my authenticated entities (mostly users) from my address book entities (users, groups, calendar resources, forwarding accounts). This gives me a lot of flexibility in my complex multi-domain groupware environment.

So basically, the mentioned patch makes SOGo much more restrictive for me, and requires me to rethink my entire SOGoUserSources stategy.

Perhaps where I stray from the norm a little bit is my uses of groups and frowarding accounts. Forwarding accounts need to be in our "Group Directory" (AKA "Corporate Directory" or "Global Address Book"), but hey do not need to authenticate and do not need calendars.

Please reconsider allowing for a user in a SOGoUserSource with "isAddressBook = NO" to still allow free/busy lookup of it's calendar.

ethoms

ethoms

2015-11-27 07:41

reporter   ~0009168

Even more limiting:

If I have two SOGoUserSources, both of which have "isAddressBook = YES" (because the mentioned patch forces me to do this). But only one has "canAuthenticate = YES", and the user in question (for free/busy lookup) is in both of these sets, the lookup still fails. So it seems if the calendar owner is in any SOGoUserSource that has "canAuthenticate = NO", it will not do the free/busy lookup, even if that calendar owner IS in a SOGoUserSource that DOES have "canAuthenticate = YES".

ethoms

ethoms

2015-11-27 07:48

reporter   ~0009169

To make this clearer I have attached my full set if SOGoUserSources for one domain. The file attached is called both-user-sources.sogo.conf.

NOTE: there is a reason why I have "IDFieldName = mail;" on the Group Directory SOGoUserSource. Just that I can't remember why now.

ethoms

ethoms

2015-11-27 07:48

reporter  

infrasysteme

infrasysteme

2015-12-01 04:28

reporter   ~0009178

Hi,

we have the same behaviour.
Thanks to ethoms for the debug :)

I have the same request : Could you please reconsider allowing for a user in a SOGoUserSource with "isAddressBook = NO" to still allow free/busy lookup of it's calendar.

Thanks !

ludovic

ludovic

2015-12-01 11:43

administrator   ~0009180

The initial fix was reverted.

The new fix is here: https://github.com/inverse-inc/sogo/commit/8c0ef9cf50ff1ac2aabc4c1379cd15d3ca045ce8

Try the upcoming nightly builds.

Issue History

Date Modified Username Field Change
2015-11-19 14:17 ethoms New Issue
2015-11-25 16:18 ludovic Note Added: 0009140
2015-11-25 16:18 ludovic Severity major => minor
2015-11-26 01:41 ethoms Note Added: 0009143
2015-11-26 01:42 ethoms File Added: sogo-free-busy-lookup-failed.2.3.3a.log
2015-11-26 01:42 ethoms File Added: sogo-free-busy-lookup-suceeded.2.3.2.log
2015-11-26 01:57 ethoms Note Added: 0009144
2015-11-26 02:08 ethoms File Added: sogo-free-busy-lookup-failed.2.3.3a.nginx.log
2015-11-26 02:18 ethoms Note Added: 0009145
2015-11-26 02:24 ethoms Note Added: 0009146
2015-11-26 02:33 ethoms Note Added: 0009147
2015-11-26 02:47 ethoms Note Added: 0009149
2015-11-26 02:52 ethoms File Added: nginx.conf
2015-11-26 05:43 ethoms Note Added: 0009151
2015-11-26 07:33 ludovic Note Added: 0009154
2015-11-26 20:18 ethoms Note Added: 0009164
2015-11-26 20:18 ethoms File Added: user-accounts.sogo.conf
2015-11-26 20:28 ethoms Note Added: 0009165
2015-11-27 03:35 ethoms Note Added: 0009166
2015-11-27 07:30 ethoms Note Added: 0009167
2015-11-27 07:41 ethoms Note Added: 0009168
2015-11-27 07:48 ethoms Note Added: 0009169
2015-11-27 07:48 ethoms File Added: both-user-sources.sogo.conf
2015-12-01 04:28 infrasysteme Note Added: 0009178
2015-12-01 11:43 ludovic Note Added: 0009180
2015-12-01 11:43 ludovic Status new => resolved
2015-12-01 11:43 ludovic Fixed in Version => 2.3.4
2015-12-01 11:43 ludovic Resolution open => fixed
2015-12-01 11:43 ludovic Assigned To => ludovic